> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ah/products

> Get full Albert Heijn product details by product id (or product URL): title, brand, category, sales unit size, summary, price, unit price, nutriscore, bonus/discount info, images, taxonomy, product properties and variants.

**Price:** 1 credit

**⚠️ Common errors:** 412: Product not found (well-formed but nonexistent id)



## OpenAPI

````yaml /openapi/e-commerce-marketplaces.json post /api/ah/products
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ah/products:
    post:
      tags:
        - /ah
      summary: /ah/products
      description: >-
        Get full Albert Heijn product details by product id (or product URL):
        title, brand, category, sales unit size, summary, price, unit price,
        nutriscore, bonus/discount info, images, taxonomy, product properties
        and variants.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Product not found (well-formed but
        nonexistent id)
      operationId: __api_ah_products_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AhProductsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AhProduct'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AhProductsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        product:
          type: string
          minLength: 1
      type: object
      required:
        - product
    AhProduct:
      properties:
        '@type':
          type: string
          default: AhProduct
        id:
          type: integer
        hq_id:
          anyOf:
            - type: integer
            - type: 'null'
        brand:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        sales_unit_size:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        shop_type:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        nutriscore:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        list_price:
          anyOf:
            - type: number
            - type: 'null'
        unit_price:
          anyOf:
            - type: number
            - type: 'null'
        unit_price_description:
          anyOf:
            - type: string
            - type: 'null'
        is_bonus:
          type: boolean
          default: false
        is_sample:
          type: boolean
          default: false
        is_medicine:
          type: boolean
          default: false
        is_medical_device:
          type: boolean
          default: false
        is_orderable:
          anyOf:
            - type: boolean
            - type: 'null'
        is_visible:
          anyOf:
            - type: boolean
            - type: 'null'
        discount_description:
          anyOf:
            - type: string
            - type: 'null'
        promotion_type:
          anyOf:
            - type: string
            - type: 'null'
        segment_type:
          anyOf:
            - type: string
            - type: 'null'
        discount_theme:
          anyOf:
            - type: string
            - type: 'null'
        is_list_price_visible:
          anyOf:
            - type: boolean
            - type: 'null'
        external_webshop_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        icons:
          items:
            type: string
          type: array
          default: []
        properties:
          additionalProperties:
            items:
              type: string
            type: array
          type: object
          default: {}
        taxonomies:
          items:
            $ref: '#/components/schemas/AhProductTaxonomy'
          type: array
          default: []
        promotion_labels:
          items:
            $ref: '#/components/schemas/AhProductPromotionLabel'
          type: array
          default: []
        variants:
          items:
            $ref: '#/components/schemas/AhProductVariant'
          type: array
          default: []
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    AhProductTaxonomy:
      properties:
        '@type':
          type: string
          default: AhProductTaxonomy
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        slug:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    AhProductPromotionLabel:
      properties:
        '@type':
          type: string
          default: AhProductPromotionLabel
        top_text:
          anyOf:
            - type: string
            - type: 'null'
        center_text:
          anyOf:
            - type: string
            - type: 'null'
        bottom_text:
          anyOf:
            - type: string
            - type: 'null'
        variant:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    AhProductVariant:
      properties:
        '@type':
          type: string
          default: AhProductVariant
        id:
          type: integer
        label:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        web_path:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````